%define upstream_name    B-Compiling
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Expose PL_compiling to perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module exposes the perl interpreter's PL_compiling variable to perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1022691
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 956757
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 844093
- update to 0.06

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 740773
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.40.0-6.mga5
+ Revision: 732016
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 683582
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.40.0-4.mga5
+ Revision: 632147
- perl 5.20.0 rebuild

  + pterjan <pterjan>
    - Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 534093
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 476272
- update to 0.04

* Wed May 29 2013 tv <tv> 0.20.0-8.mga4
+ Revision: 430068
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-7.mga3
+ Revision: 363282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-6.mga3
+ Revision: 250276
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.20.0-5.mga2
+ Revision: 103458
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-4.mga1
+ Revision: 32726
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.20.0-3.mga1
+ Revision: 29807
- mageia rebuild
- imported package perl-B-Compiling

